%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

%define lib_name_devel %mklibname %{name} -d
%define lib_report_devel %mklibname report -d

Summary: Automatic bug detection and reporting tool
Name: abrt
Version: 2.0.19
Release: %mkrel 7
License: GPLv2+
Group:   System/Libraries
URL: https://fedorahosted.org/abrt/
Source: https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.gz
Source1: abrt.init
Source2: 00abrt.sh
Source3: 00abrt.csh
Source4: abrt-debuginfo-install
Source5: abrt-ccpp.init
Source6: abrt-oops.init
# (fc) disable package signature check
Patch2: abrt_disable_gpgcheck.diff
# (pt) generate stacktrace twice to get missing -debug packages
#Patch5: abrt-1.1.14-debug.patch
# (fc) disable nspluginwrapper-i386 (Mdv bug #59237)
Patch7: abrt-2.0.19-nspluginwrapper.patch
# (fc) fix for non UTF-8 locale
#Patch8: abrt-2.0.2-nonutf8-locale.patch
Patch10: abrt-sec.diff
# (eugeni): disable kernel oops cron plugin by default (mdv #61986)
#Patch12: abrt-1.1.14-disable_oops_scanner.patch
Patch11: abrt-2.0.19-json-c.diff
Patch12: abrt-2.0.19-drop-getetxt-in-favour-of-intltool.patch
BuildRequires: dbus-devel libdbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: curl-devel
BuildRequires: rpm-devel
BuildRequires: sqlite-devel > 3.0
BuildRequires: desktop-file-utils
#BuildRequires: nss-devel
BuildRequires: libnotify-devel
BuildRequires: xmlrpc-c-devel
BuildRequires: xmlrpc-c
BuildRequires: file-devel
BuildRequires: python-devel
BuildRequires: gettext
BuildRequires: polkit-1-devel
BuildRequires: libzip-devel, libtar-devel, bzip2-devel, zlib-devel
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: bison
BuildRequires: asciidoc
BuildRequires: docbook-style-xsl docbook5-style-xsl
BuildRequires: xmlto
BuildRequires: libgnome-keyring-devel
BuildRequires: gettext-devel
BuildRequires: systemd-units
BuildRequires: btparser-devel
BuildRequires: pkgconfig(libreport)
BuildRequires: pkgconfig(libreport-gtk)
Requires: %{lib_name} >= %{version}-%{release}
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Obsoletes: abrt-plugin-catcut < 1.1.13
Obsoletes: abrt-plugin-sqlite3 < 1.1.18
# required for transition from 1.1.13, can be removed after some time
Obsoletes: abrt-plugin-runapp < 1.1.18
Obsoletes: abrt-plugin-filetransfer < 1.1.18
Obsoletes: abrt-plugin-sosreport < 1.1.18

%description
%{name} is a tool to help users to detect defects in applications and
to create a bug report with all informations needed by maintainer to fix it.
It uses plugin system to extend its functionality.

%pre
%_pre_useradd %{name} %{_sysconfdir}/%{name} /bin/nologin
%_pre_groupadd %{name} %{name}

%post
%_post_service %{name}d
# Enable (but don't start) the units by default
  /bin/systemctl enable %{name}d.service >/dev/null 2>&1 || :

%posttrans
service abrtd condrestart >/dev/null 2>&1 || :

%preun
%_preun_service %{name}d
if [ "$1" -eq "0" ] ; then
  /bin/systemctl stop %{name}d.service >/dev/null 2>&1 || :
  /bin/systemctl disable %{name}d.service >/dev/null 2>&1 || :
fi

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name} %{name}
if [ $1 -ge 1 ] ; then
# On upgrade, reload init system configuration if we changed unit files
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%files -f %{name}.lang
%doc README COPYING
%{_sbindir}/%{name}d
%{_sbindir}/%{name}-server
%{_sbindir}/abrt-dbus
%{_bindir}/%{name}-debuginfo-install
%{_bindir}/%{name}-handle-upload
%{_bindir}/%{name}-action-save-package-data
%{_bindir}/%{name}-retrace-client
%{_bindir}/%{name}-watch-log
%{_libexecdir}/abrt-handle-event
%config(noreplace) %{_sysconfdir}/%{name}/abrt.conf
%config(noreplace) %{_sysconfdir}/%{name}/abrt-action-save-package-data.conf
%config(noreplace) %{_sysconfdir}/%{name}/gpg_keys
%config(noreplace) %{_sysconfdir}/libreport/events.d/abrt_event.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-abrt.conf
%config(noreplace) %{_sysconfdir}/libreport/events.d/smart_event.conf
%config(noreplace) %{_sysconfdir}/libreport/events.d/smolt_event.conf
%config(noreplace) %{_sysconfdir}/libreport/events.d/dbus_event.conf
%{_sysconfdir}/libreport/events.d/ccpp_retrace_event.conf
%{_sysconfdir}/libreport/events/analyze_RetraceServer.xml
%{_initrddir}/%{name}d
%{_unitdir}/abrtd.service
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/plugins
%{_mandir}/man1/abrt-handle-upload.1.*
%{_mandir}/man1/abrt-server.1.*
%{_mandir}/man1/abrt-action-save-package-data.1.*
%{_mandir}/man1/abrt-retrace-client.1.*
%{_mandir}/man8/abrtd.8.*
%{_mandir}/man8/abrt-dbus.8.*
%{_mandir}/man5/abrt.conf.5.*
%{_mandir}/man5/abrt-action-save-package-data.conf.5.*
%{_datadir}/dbus-1/system-services/org.freedesktop.problems.service
%{_datadir}/polkit-1/actions/abrt_polkit.policy

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary: Libraries for %{name}
Group: System/Libraries

%description -n %{lib_name}
Libraries for %{name}.

%files -n %{lib_name}
%{_libdir}/libabrt*.so.*

#--------------------------------------------------------------------

%package -n %{lib_name_devel}
Summary: Development libraries for %{name}
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Requires: abrt = %{version}-%{release}
Obsoletes: %{_lib}abrt0-devel

%description -n %{lib_name_devel}
Development libraries and headers for %{name}.

%files -n %{lib_name_devel}
%{_includedir}/abrt/*
%{_libdir}/libabrt*.so
#FIXME: this should go to libreportgtk-devel package
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------

%package gui
Summary: %{name}'s gui
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: dbus-python, pygtk2.0, pygtk2.0-libglade
Requires: python-gobject
Requires: gnome-python-desktop
Requires: libreport-gtk

%description gui
GTK+ wizard for convenient bug reporting.

%files gui
%{_bindir}/%{name}-gui
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_bindir}/%{name}-applet
%{_sysconfdir}/xdg/autostart/%{name}-applet.desktop

#--------------------------------------------------------------------

%package addon-ccpp
Summary: %{name}'s C/C++ addon
Group: System/Libraries
Requires: elfutils
Requires: %{name} = %{version}-%{release}

%description addon-ccpp
This package contains hook for C/C++ crashed programs and %{name}'s C/C++
analyzer plugin.

%post addon-ccpp
chown -R abrt:abrt %{_localstatedir}/cache/abrt-di
#if [ $1 -eq 1 ]; then
/sbin/chkconfig --add abrt-ccpp
#fi

if [ "$1" -eq "0" ] ; then
    /bin/systemctl stop abrt-ccpp.service >/dev/null 2>&1 || :
    /bin/systemctl disable abrt-ccpp.service >/dev/null 2>&1 || :
fi

%posttrans addon-ccpp
service abrt-ccpp condrestart >/dev/null 2>&1 || :

%preun addon-ccpp
if [ "$1" -eq "0" ] ; then
  service abrt-ccpp stop >/dev/null 2>&1
  /sbin/chkconfig --del abrt-ccpp
fi

#systemd (not tested):
if [ "$1" -eq "0" ] ; then
    /bin/systemctl stop abrt-ccpp.service >/dev/null 2>&1 || :
    /bin/systemctl disable abrt-ccpp.service >/dev/null 2>&1 || :
fi

%files addon-ccpp
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp.conf
%{_sysconfdir}/libreport/events.d/ccpp_event.conf
%{_sysconfdir}/libreport/events.d/gconf_event.conf
%{_sysconfdir}/libreport/events.d/vimrc_event.conf
%{_sysconfdir}/libreport/events/analyze_CCpp.xml
%{_sysconfdir}/libreport/events/analyze_LocalGDB.xml
%{_sysconfdir}/libreport/events/collect_xsession_errors.xml
%{_sysconfdir}/libreport/events/collect_Smolt.xml
%{_sysconfdir}/libreport/events/collect_GConf.xml
%{_sysconfdir}/libreport/events/collect_vimrc_user.xml
%{_sysconfdir}/libreport/events/collect_vimrc_system.xml
%{_sysconfdir}/libreport/events/post_report.xml
%dir %attr(0775, abrt, abrt) %{_localstatedir}/cache/abrt-di
%{_initrddir}/abrt-ccpp
%{_unitdir}/abrt-ccpp.service
%{_libexecdir}/abrt-hook-ccpp
%{_sysconfdir}/profile.d/00abrt.*
%{_bindir}/abrt-action-analyze-c
%{_bindir}/abrt-action-trim-files
%{_bindir}/abrt-action-analyze-core
%{_bindir}/abrt-action-list-dsos
%attr(2755, abrt, abrt) %{_bindir}/abrt-action-install-debuginfo
%attr(4755, abrt, abrt) %{_libexecdir}/abrt-action-install-debuginfo-to-abrt-cache
%{_bindir}/abrt-action-generate-backtrace
%{_bindir}/abrt-action-generate-core-backtrace
%{_bindir}/abrt-action-analyze-backtrace
%{_bindir}/abrt-action-perform-ccpp-analysis
%{_bindir}/abrt-dedup-client
%{_sbindir}/abrt-install-ccpp-hook
%{_mandir}/man*/abrt-action-analyze-c.*
%{_mandir}/man*/abrt-action-trim-files.*
%{_mandir}/man*/abrt-action-generate-backtrace.*
%{_mandir}/man*/abrt-action-generate-core-backtrace.*
%{_mandir}/man*/abrt-action-analyze-backtrace.*
%{_mandir}/man*/abrt-action-list-dsos.*
%{_mandir}/man1/abrt-install-ccpp-hook.*

#--------------------------------------------------------------------

%package addon-kerneloops
Summary: %{name}'s kerneloops addon
Group: System/Libraries
Requires: curl
Requires: %{name} = %{version}-%{release}
#Obsoletes: kerneloops

%description addon-kerneloops
This package contains plugin for collecting kernel crash information
and reporter plugin which sends this information to specified server,
usually to kerneloops.org.

%post addon-kerneloops
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add abrt-oops
fi

%posttrans addon-kerneloops
service abrt-oops condrestart >/dev/null 2>&1 || :

%preun addon-kerneloops
if [ "$1" -eq "0" ] ; then
    service abrt-oops stop >/dev/null 2>&1
    /sbin/chkconfig --del abrt-oops
fi
#systemd (not tested):
if [ "$1" -eq "0" ] ; then
    /bin/systemctl stop abrt-oops.service >/dev/null 2>&1 || :
    /bin/systemctl disable abrt-oops.service >/dev/null 2>&1 || :
fi

%files addon-kerneloops
%config(noreplace) %{_sysconfdir}/libreport/events.d/koops_event.conf
%{_initrddir}/abrt-oops
%{_unitdir}/abrt-oops.service
%{_bindir}/abrt-dump-oops
%{_bindir}/abrt-action-analyze-oops
%{_bindir}/abrt-action-save-kernel-data
%{_mandir}/man1/abrt-action-analyze-oops.1*

#--------------------------------------------------------------------

%package addon-xorg
Summary: %{name}'s Xorg addon
Group: System/Libraries
Requires: curl
Requires: %{name} = %{version}-%{release}

%description addon-xorg
This package contains plugin for collecting Xorg crash information from Xorg log.

%files addon-xorg
%config(noreplace) %{_sysconfdir}/libreport/events.d/xorg_event.conf
%{_unitdir}/abrt-xorg.service
%{_bindir}/abrt-dump-xorg

#--------------------------------------------------------------------

%package addon-vmcore
Summary: %{name}'s vmcore addon
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-addon-kerneloops

%description addon-vmcore
This package contains plugin for collecting kernel crash information from vmcore files.

%post addon-vmcore
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add abrt-oops
fi

%posttrans addon-vmcore
service abrt-oops condrestart >/dev/null 2>&1 || :

%preun addon-vmcore
if [ "$1" -eq "0" ] ; then
    service abrt-oops stop >/dev/null 2>&1
    /sbin/chkconfig --del abrt-oops
fi
#systemd (not tested):
if [ "$1" -eq "0" ] ; then
    /bin/systemctl stop abrt-oops.service >/dev/null 2>&1 || :
    /bin/systemctl disable abrt-oops.service >/dev/null 2>&1 || :
fi

%files addon-vmcore
%config(noreplace) %{_sysconfdir}/libreport/events.d/vmcore_event.conf
%config(noreplace) %{_sysconfdir}/abrt/abrt-harvest-vmcore.conf
%{_sysconfdir}/libreport/events/analyze_VMcore.xml
%{_unitdir}/abrt-vmcore.service
%{_sbindir}/abrt-harvest-vmcore
%{_bindir}/abrt-action-analyze-vmcore
%{_mandir}/man1/abrt-action-analyze-vmcore.1*

#--------------------------------------------------------------------

%package plugin-bodhi
Summary: %{name}'s bodhi plugin
BuildRequires: json-c-devel
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: pkgconfig(libreport-web)
Obsoletes: libreport-plugin-bodhi > 0.0.1
Provides: libreport-plugin-bodhi

%description plugin-bodhi
Search for a new updates in bodhi server.

%files plugin-bodhi
%{_bindir}/abrt-bodhi
%{_mandir}/man1/abrt-bodhi.1*

#--------------------------------------------------------------------
%package addon-python
Summary: %{name}'s addon for catching and analyzing Python exceptions
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description addon-python
This package contains python hook and python analyzer plugin for handling
uncaught exception in python programs.

%files addon-python
%config(noreplace) %{_sysconfdir}/%{name}/plugins/python.conf
%{_sysconfdir}/libreport/events.d/python_event.conf
%{_bindir}/abrt-action-analyze-python
%{_mandir}/man1/abrt-action-analyze-python.1*
%{py_puresitedir}/abrt*.py*
%{py_puresitedir}/*.pth

#--------------------------------------------------------------------

%package cli
Summary: %{name}'s command line interface
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: %{name}-addon-kerneloops
Requires: %{name}-addon-ccpp, %{name}-addon-python

%description cli
This package contains simple command line client for controlling abrt 
daemon over the sockets.

%files cli
%{_bindir}/abrt-cli
%{_mandir}/man1/abrt-cli.1*

#--------------------------------------------------------------------

%package desktop
Summary: Virtual package to install all necessary packages for usage from desktop environment
Group: Graphical desktop/Other
# This package gets installed when anything requests bug-buddy -
# happens when users upgrade Fn to Fn+1;
# or if user just wants "typical desktop installation".
# Installing abrt-desktop should result in the abrt which works without
# any tweaking in abrt.conf (IOW: all plugins mentioned there must be installed)
Requires: %{name} = %{version}-%{release}
Requires: %{name}-addon-kerneloops
Requires: %{name}-addon-vmcore
Requires: %{name}-addon-ccpp, %{name}-addon-python
# Default config of addon-ccpp requires gdb
Requires: gdb >= 7.0-3
Requires: %{name}-gui
#Obsoletes: bug-buddy
#Provides: bug-buddy

%description desktop
Virtual package to make easy default installation on desktop environments.

%files desktop

#--------------------------------------------------------------------
%if 0
%package retrace-server
Summary: %{name}'s retrace server using HTTP protocol
Group:   Graphical desktop/Other
Requires: abrt-addon-ccpp
Requires: gdb >= 7.0-3
Requires: apache-mod_wsgi, apache-mod_ssl, python-webob
Requires: mock, xz, elfutils, createrepo
Requires(preun): /sbin/install-info
Requires(post): /sbin/install-info

%post retrace-server
/sbin/install-info %{_infodir}/abrt-retrace-server %{_infodir}/dir 2> /dev/null || :
/usr/sbin/usermod -G mock apache 2> /dev/null || :

%preun retrace-server
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/abrt-retrace-server %{_infodir}/dir 2> /dev/null || :
fi

%description retrace-server
The retrace server provides a coredump analysis and backtrace
generation service over a network using HTTP protocol.

%files retrace-server
%config(noreplace) %{_sysconfdir}/%{name}/retrace.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/retrace_httpd.conf
%config(noreplace) %{_sysconfdir}/yum.repos.d/retrace.repo
%dir %attr(0775, apache, abrt) %{_localstatedir}/spool/abrt-retrace
%dir %attr(0755, abrt, abrt) %{_localstatedir}/cache/abrt-retrace
%dir %attr(0755, abrt, abrt) %{_localstatedir}/log/abrt-retrace
%caps(cap_setuid=ep) %{_bindir}/abrt-retrace-worker
%{_bindir}/abrt-retrace-cleanup
%{_bindir}/abrt-retrace-reposync
%{_bindir}/coredump2packages
%{py_puresitedir}/retrace.py*
%{_datadir}/abrt-retrace/*.py*
%{_datadir}/abrt-retrace/*.wsgi
%{_datadir}/abrt-retrace/plugins/*.py*
%{_infodir}/abrt-retrace-server*
%endif
#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches
# (tv)) disable -Werror:
perl -pi -e 's!-Werror!-Wno-deprecated!' configure{.ac,} */*/Makefile*

%build
autoreconf -fi
%configure2_5x \
	--disable-rpath

%install
%makeinstall_std
%find_lang %{name}

# remove all .la and .a files
find %{buildroot} -name '*.la' -or -name '*.a' | xargs rm -f
mkdir -p %{buildroot}/%{_initrddir}
install -m 755 %SOURCE1 %{buildroot}/%{_initrddir}/%{name}d
install -m 755 %SOURCE5 %{buildroot}/%{_initrddir}/%{name}-ccpp
install -m 755 %SOURCE6 %{buildroot}/%{_initrddir}/%{name}-oops
mkdir -p %{buildroot}/var/cache/%{name}-di
mkdir -p %{buildroot}/var/run/%{name}
mkdir -p %{buildroot}/var/spool/%{name}
mkdir -p %{buildroot}/var/spool/%{name}-retrace
mkdir -p %{buildroot}/var/cache/%{name}-retrace
mkdir -p %{buildroot}/var/log/%{name}-retrace
mkdir -p %{buildroot}/var/spool/%{name}-upload

sed -i 's!@libexec@!%_libdir!' %{buildroot}/%{_initrddir}/%{name}-ccpp

# remove fedora gpg key
rm -f %{buildroot}%{_sysconfdir}/abrt/gpg_keys
touch %{buildroot}%{_sysconfdir}/abrt/gpg_keys

# install ulimit disabler
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
install -m755 %SOURCE2 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/

desktop-file-install \
        --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
        src/applet/%{name}-applet.desktop

# replace with our own version
cat %{SOURCE4} > %{buildroot}/usr/bin/%{name}-debuginfo-install

#remove RH specific plugins
rm -f %{buildroot}%{_libdir}/%{name}/{RHTSupport.glade,libRHTSupport.so}
rm -f %{buildroot}%{_sysconfdir}/%{name}/plugins/RHTSupport.conf
rm -f %{buildroot}%{_sysconfdir}/%{name}/events.d/rhtsupport_events.conf
rm -f %{buildroot}%{_sysconfdir}/%{name}/events/report_RHTSupport.xml
rm -f %{buildroot}%{_bindir}/%{name}-action-rhtsupport

# After everything is installed, remove info dir
rm -f %{buildroot}%{_infodir}/dir


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.0.19-7.mga4
+ Revision: 539386
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 2.0.19-6.mga4
+ Revision: 492082
- force use intltool
- use autoreconf

* Fri Jan 11 2013 umeabot <umeabot> 2.0.19-6.mga3
+ Revision: 345217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 2.0.19-5.mga3
+ Revision: 337447
- Fix for _libdir != _libexecdir

  + tv <tv>
    - we now have debuginfo instead of -debug

* Thu Dec 20 2012 oden <oden> 2.0.19-3.mga3
+ Revision: 333470
- fix build with new json-c libs
- rebuilt for new json-c libs

* Tue Dec 18 2012 tv <tv> 2.0.19-2.mga3
+ Revision: 332287
- rebuild for new rpm

* Sun Dec 16 2012 colin <colin> 2.0.19-1.mga3
+ Revision: 331466
- Cosmetic fixup to BR
- New version: 2.0.19
- Rediff nspluginwrapper patch
- Drop linking patch (no longer needed)
- Drop glib patch (applied upstream)
- Drop CVE patch (applied upstream)
- Disable nonutf8-locale patch (likely unneeded)

* Wed Nov 21 2012 luigiwalser <luigiwalser> 2.0.7-5.mga3
+ Revision: 320046
- rediff upstream patch to fix CVE-2012-1106

* Sun Jun 10 2012 tv <tv> 2.0.7-4.mga3
+ Revision: 259362
- rebuild for new rpm-4.10.0

* Sun Feb 05 2012 tv <tv> 2.0.7-3.mga2
+ Revision: 204688
- fix requires, thus making abrt-desktop installable

* Wed Feb 01 2012 tv <tv> 2.0.7-2.mga2
+ Revision: 203846
- gui needs libreport-gtk

* Wed Feb 01 2012 fwang <fwang> 2.0.7-1.mga2
+ Revision: 203831
- update file list
- update file list
- update file list
- don't know where the retrace server had gone
- fix linkage of main lib
- fix build with latest glib
- rebuild for new rpm

  + tv <tv>
    - adjust file list
    - BR docbook-style-xsl
    - patch 10: fix some format string error
    - disable -Werror
    - BuildRequires: pkgconfig(libreport-gtk)
    - rebuild for new libreport

  + dmorgan <dmorgan>
    - New version
      Rediff Patches
    - Rebuild against new rpm
      Enable systemd support

* Sun Sep 04 2011 dmorgan <dmorgan> 2.0.2-5.mga2
+ Revision: 138506
- Fix sha1.lst file
- Revert to version 2.0.2
- Fix requires
- Add Required-Stop keyword
- Fix groups
- Fix path to abrt-hook-ccpp ( mga #2496)

* Tue Jun 21 2011 dmorgan <dmorgan> 2.0.2-3.mga2
+ Revision: 111387
- Remove unexistant require

* Tue Jun 21 2011 dmorgan <dmorgan> 2.0.2-2.mga2
+ Revision: 111340
- Fix requires

* Mon Jun 20 2011 dmorgan <dmorgan> 2.0.2-1.mga2
+ Revision: 110410
- Remove dots at the end of the summary
- Add libgnome-keyring-devel as buildrequire
- Fix to apply patches
- Fix lib packages name
- Add fedora patches
- Add P100: Do not enable libreport_python
- Fix packages name
- Fix compilation of mga patch
- Remove dead line
- Update to version 2.0.2
  Rediff patches
  Add new packages

* Sun Jun 19 2011 ahmad <ahmad> 1.1.17-2.mga2
+ Revision: 109606
- Rebuild against new libnotify-0.7
- Add BR libdbus-glib-devel

* Mon Apr 11 2011 dmorgan <dmorgan> 1.1.17-1.mga1
+ Revision: 83126
- New version 1.1.17
  Merge patch 3 and 6
  Fix file list

* Mon Feb 28 2011 dmorgan <dmorgan> 1.1.14-11.mga1
+ Revision: 61318
- Bump release
- Remove rpm46 and rpm5 patches

* Sun Feb 27 2011 dmorgan <dmorgan> 1.1.14-10.mga1
+ Revision: 61093
- Fix build without systemd
  Fix URL of the page where to create an account ( use identity instead of bugzilla )

  + tmb <tmb>
    - systemd-units is only needed for the build, not actually Required

* Mon Jan 17 2011 blino <blino> 1.1.14-9.mga1
+ Revision: 21543
- remove duplicate and unconditional system service file inclusion
- do not build for rpm5 (it is known to break BS)
- do not build with systemd yet
- adapt release patch
- use Mageia bugzilla
- remove old version in comments
- imported package abrt


* Sun Jan 09 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.14-8mdv2011.0
+ Revision: 630720
- finally get rpm 5.3 linked abrt into main/release "#!"#!" :p

* Tue Jan 04 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.1.14-7mdv2011.0
+ Revision: 628561
- Add support for systemd (based on fedora spec).
- Install systemd service.
  Disable periodic run of KerneloopsScanner by default (#61986).

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix issue with CheckHash() in rpm5 & fmode
    - try again rpm5 build in main/testing, hopefully not messing up main/release

* Wed Dec 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.14-5mdv2011.0
+ Revision: 621949
- AGAIN push the rpm in release because packages got deleted each time someone
  push abrt in main/testing because of rpm5

* Sun Dec 12 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.14-4mdv2011.0
+ Revision: 620608
- really apply rpm5 patch
- reenable rpm5 patch, make it conditional as well

* Thu Dec 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.14-3mdv2011.0
+ Revision: 616599
- Rebuild because of missing rpms

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rpm5 support (P11)

* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 1.1.14-1mdv2011.0
+ Revision: 603263
- new version 1.1.14
- fix linkage
- rediff format and debug patch
- drop merged polkit patch

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 1.1.13-3mdv2011.0
+ Revision: 595032
- add fedora patch on polkit to make it built

  + Jani Välimaa <wally@mandriva.org>
    - rebuild for python 2.7

* Tue Aug 10 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.13-2mdv2011.0
+ Revision: 568329
- use versioned obsoletes/provides
- set disable_ld_no_undefined to 0

* Tue Aug 10 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.13-1mdv2011.0
+ Revision: 568324
- New version 1.1.13
- rediff p2, p3, p5, p6, p7
- drop catcut plugin
- update files list

* Wed May 12 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-1mdv2010.1
+ Revision: 544618
- Release 1.1.1
- Update patches 0, 2
- Update patches 3 to teach him Mdv specific bugzilla (still in progress)
- Remove patches 4 (no longer needed)
- Patch6: parse /etc/mandriva-release and teach abrt about Cooker
- Patch7: skip nspluginwrapper-i386 (Mdv bug #59237)
- Patch8: ensure all translations are in UTF-8 (caused dbus to exit in abrtd)

  + Emmanuel Andry <eandry@mandriva.org>
    - fix devel name

  + Pascal Terjan <pterjan@mandriva.org>
    - Install missing -debug packages

* Wed Mar 03 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.8-2mdv2010.1
+ Revision: 513937
- Update gio patch and apply it
- enforce gnome-python-desktop dependency for keyring support

* Mon Mar 01 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.8-1mdv2010.1
+ Revision: 513060
- import abrt


